Support » Plugin: Site Kit by Google - Analytics, Search Console, AdSense, Speed » Error: There has been a critical error on this website

  • Resolved Umut Efiloğlu

    (@hopetolive)


    I have this message suddenly. I recovered my website with recovery link. when I activate plugin, I cannot visit my website completely.

    The page I need help with: [log in to see the link]

Viewing 11 replies - 1 through 11 (of 11 total)
  • Thread Starter Umut Efiloğlu

    (@hopetolive)

    image
    image
    image

    Same issue, ALL of my sites with Google Site Kit (which is almost all of them) are having this same problem. At least it’s still working, but I can’t login to the dashboard. PLEASE FIX.

    Thread Starter Umut Efiloğlu

    (@hopetolive)

    It should be a general problem about plugin. we arae waiting immadiate FIX since it causes whole site to go down.

    All of my sites with Site Kit is showing this error, I had to disable the plugin via recovery mode:

    An error of type E_COMPILE_ERROR was caused in line 34 of the file /var/www/wp-content/plugins/google-site-kit/includes/loader.php. Error message: require_once(): Failed opening required ‘/var/www/wp-content/plugins/google-site-kit/third-party/vendor/composer/InstalledVersions.php’ (include_path=’.:/opt/remi/php73/root/usr/share/pear:/opt/remi/php73/root/usr/share/php:/usr/share/pear:/usr/share/php’)

    Plugin Support James Osborne

    (@jamesosborne)

    Hi Umit,

    Thanks for reaching out. The error you’re encountering may indicate that an something went wrong during a plugin update, or the default Site Kit files were modified. It could have been something as simply as a temporary hosting issue during an update, or a shared hosting PHP update.

    While you were thankfully about to restore your site have you tried to uninstall the Site Kit plugin before installing once more? Note that if you have issues uninstalling the plugin you can manually remove or rename the Site Kit plugin directory in order to render it deactivated. You’ll find the Site Kit plugin directory on a typical WordPress install by visiting “/wp-content/plugins/google-site-kit

    Please inform me how you get on after uninstalling and reinstalling once more. If the same occurs please share your Site Health information via this form and I can check this further.

    @adventdeo If you’d like to open an individual support topic I’d be happy to look into your case individually. Feel free to submit the same details via this form as above after opening your support topic and we can perform some checks with your setup. I would advise also to try and manually uninstall/reinstall the plugin and not just disable, which you’ve already done. While I also can’t be sure of the cause in your case I’d be happy to analyze both setups. There is an option to include your current hosting provider within the form when submitting.

    I had this exact same problem last night with this exact same error.

    An error of type E_COMPILE_ERROR was caused in line 34 of the file /var/www/wp-content/plugins/google-site-kit/includes/loader.php. Error message: require_once(): Failed opening required ‘/var/www/wp-content/plugins/google-site-kit/third-party/vendor/composer/InstalledVersions.php’ (include_path=’.:/opt/remi/php73/root/usr/share/pear:/opt/remi/php73/root/usr/share/php:/usr/share/pear:/usr/share/php’)

    The WP Critical message was only showing when trying to login to the site, either dashboard or registered user. After about an hour, it seems to fix itself.

    Plugin Support Bethany Chobanian Lang

    (@shetheliving)

    @hopetolive @adventdeo @lvlupbets It appears that this error was due to an issue in the Site Kit plugin. We’ve just released version 1.38.1, which includes the fix for this issue. Can you please try updating the plugin and let us know if you still have trouble?

    Hi – the error that I’m getting now is “Data error in Analytics
    The response is not a valid JSON response.”

    Plugin Support Bethany Chobanian Lang

    (@shetheliving)

    @kcchalk Glad to hear that you were able to get things working!

    @lvlupbets This particular notice can occur in a number of situations. Can you let me know if the same notice appears when trying to connect Analytics in Site Kit in a Chrome browser incognito window?

    If so, please share your Site Health information here or privately using this form and I can check your current setup. In other cases there have been third party plugins impacting setup.

    Now it’s saying this error, in addition to the previous one: Data error in Analytics
    <p>There has been a critical error on this website.</p><p>Learn more about troubleshooting WordPress.</p>

    The error shows up on incognito mode on Chrome as well.

    Form submitted.

    Thanks for your help

    Thread Starter Umut Efiloğlu

    (@hopetolive)

    @shetheliving
    @jamesosborne

    Thanks for your kind helps. My site has no problem right now; and I hope that it stays that way. I guess it was fixed.
    Wish you nice day.
    Regards.
    Umut

Viewing 11 replies - 1 through 11 (of 11 total)
  • You must be logged in to reply to this topic.